Subject: bug#44820: MPD fails after respawning too often

From: Simon Streit <[email-masked]>
Date: Fri, 27 Nov 2020 20:29:19 +0100

Martin Becze writes:

> I also ran into this problem. Here is the relevnat part of
> /var/run/mpd/<mpd-user>/log
>
>> exception: Failed to create pid file "/var/run/mpd/<mpd-user>/pid": Permission denied
>
> A quick dirty fix is just to chown the /var/run/mpd folder so that mpd
> can create its pid file.

I have the the same error message in my log file too, and chowning
ownership of directories helps too.

>
> On 11/27/20 4:31 AM, Ludovic Courtès wrote:
>> Hi,
>> Simon <[email-masked]> skribis:
>>
>>> On a recent pull, MPD will not start any more.
>>>
>>> Herd status reports:
>>>
>>> Status of mpd:
>>>    It is stopped.
>>>    It is disabled.
>>>    Provides (mpd).
>>>    Requires (user-processes).
>>>    Conflicts with ().
>>>    Will be respawned.
>>>    Last respawned on Mon Nov 23 10:22:07+0100 2020.
>>>
>>>
>>> Reading my messages, I find:
>>>
>>> Nov 23 10:22:07 localhost shepherd[1]: Respawning mpd.
>>> Nov 23 10:22:07 localhost shepherd[1]: Service mpd has been started.
>>> Nov 23 10:22:07 localhost shepherd[1]: Respawning mpd.
>>> Nov 23 10:22:07 localhost shepherd[1]: Service mpd has been started.
>>> Nov 23 10:22:07 localhost shepherd[1]: Respawning mpd.
>>> Nov 23 10:22:07 localhost shepherd[1]: Service mpd has been started.
>>> Nov 23 10:22:07 localhost shepherd[1]: Respawning mpd.
>>> Nov 23 10:22:07 localhost shepherd[1]: Service mpd has been started.
>>> Nov 23 10:22:07 localhost shepherd[1]: Respawning mpd.
>>> Nov 23 10:22:07 localhost shepherd[1]: Service mpd has been started.
>>> Nov 23 10:22:07 localhost shepherd[1]: Respawning mpd.
>>> Nov 23 10:22:07 localhost shepherd[1]: Service mpd has been started.
>>> Nov 23 10:22:07 localhost shepherd[1]: Service mpd has been disabled.
>>> Nov 23 10:22:07 localhost shepherd[1]:   (Respawning too fast.)
>>>
>>>
>>> Unfortunately, there are no further messages as to why the service is
>>> disabled, or why the daemon is respawning too often.
>> Does /var/log/mpd/mpd.log or similar contain useful info?
>> Could you share your ‘mpd-configuration’?
>> There have been two changes recently, which fixed the mpd system
>> test,
>> but perhaps they introduced other issues:
>>    https://git.savannah.gnu.org/cgit/guix.git/log?id=bb124f6e9c0af0a23736f233c2ea2c9c9b4a40a6
>> Thanks for reporting the issue,
>> Ludo’.

If I read it correctly in the changes made above, ownership of the
directory should be changed, but it is not.  I just deleted the
directory in /run/mpd and did a reboot.  The user directory is
recreated, and .mpd too, but only ownership is changed in .mpd.

Too bad that my knowledge in guile is too limited at the moment to
provide a solution.  But I'd really love too at the moment. :)

But I believe ownership of the parent directory should be changed
according to the user.

Sorry that I can't provide any better solution at the moment.

Cheers,
Simon